Cyberduck Mountain Duck CLI

#10924 closed defect (fixed)

b2_copy_file not working currently with different target bucket

Reported by: williamaleman Owned by: dkocher
Priority: normal Milestone: 7.3.0
Component: b2 Version: 7.2.5
Severity: normal Keywords: b2, b2_copy_file, buckets
Cc: Architecture: Intel
Platform: Windows 10

Description

Hi,

I have been enjoying Cyberduck for years but I'm currently using it as a means of uploading local data and backups to my B2 bucket before upgrading to Mountain Duck for it's ease of use.

I have found that B2 does have the functionality to copy data between buckets, which I do want to use it for hosting my website images on the bucket. While trying to test it, I have found that I can't copy one file to another bucket. It just gets copied to the root of the bucket the file is currently. Additionally, if I have a folder called "TEST" in the root of bucket "CDTEST" then the file gets copied to a folder called "TEST" in the root of the bucket where the file is currently.

I have searched the wiki and tickets for this issue but can't find anything my current issue. I have also read the changelogs and the software does the have capability of doing this kind of operations.

Any help that can be given will be greatly appreciated and thank you so much for this amazing software.

Best, William Aleman

Change History (5)

comment:1 Changed on Jan 8, 2020 at 1:07:07 PM by dkocher

  • Milestone set to 8.0
  • Owner set to dkocher
  • Status changed from new to assigned

comment:2 Changed on Jan 8, 2020 at 1:07:17 PM by dkocher

  • Summary changed from b2_copy_file not working currently to b2_copy_file not working currently with different target bucket

comment:3 Changed on Jan 9, 2020 at 2:48:11 PM by yla

  • Resolution set to fixed
  • Status changed from assigned to closed

In r48478.

comment:4 Changed on Jan 18, 2020 at 4:03:21 PM by dkocher

  • Milestone changed from 8.0 to 7.2.6

comment:5 Changed on Mar 22, 2020 at 1:22:47 PM by dkocher

  • Milestone changed from 7.2.6 to 7.3.0
Note: See TracTickets for help on using tickets.
swiss made software